org.cybergarage.upnp.xml

## Class ActionData

- java.lang.Object
- - org.cybergarage.upnp.xml.NodeData
  - - org.cybergarage.upnp.xml.ActionData

-     public class ActionData
      extends NodeData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionListener` | `getActionListener()`
    `ControlResponse` | `getControlResponse()`
    `void` | `setActionListener(ActionListener actionListener)`
    `void` | `setControlResponse(ControlResponse res)`

    - ### Methods inherited from class org.cybergarage.upnp.xml.NodeData

      `getNode, setNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionData

          public ActionData()

  - ### Method Detail

    - #### getActionListener

          public ActionListener getActionListener()

    - #### setActionListener

          public void setActionListener(ActionListener actionListener)

    - #### getControlResponse

          public ControlResponse getControlResponse()

    - #### setControlResponse

          public void setControlResponse(ControlResponse res)